/**
 * Copyright (C) 2012 Stephen M. Hopper
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.enragedginger.stephenerialization;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import com.enragedginger.stephenerialization.destephenerialize.Destephenerializer;
import com.enragedginger.stephenerialization.destephenerialize.SimpleDestephenerializer;
import com.enragedginger.stephenerialization.fields.SimpleStephenerializableFieldFactory;
import com.enragedginger.stephenerialization.fields.StephenerializableFieldFactory;
import com.enragedginger.stephenerialization.stephenerialize.SimpleStephenerializer;
import com.enragedginger.stephenerialization.stephenerialize.Stephenerializer;
import com.google.inject.Guice;
import com.google.inject.Injector;

/**
 * Class for testing {@link StephenerializationModule}.
 * @author Stephen Hopper
 *
 */
public class StephenerializationModuleTest {

	@Test
	public void allModulesPresent() {
		Injector injector = Guice.createInjector(new StephenerializationModule());
		assertTrue(injector.getInstance(StephenerializationService.class) instanceof SimpleStephenerializationService);
		assertTrue(injector.getInstance(Stephenerializer.class) instanceof SimpleStephenerializer);
		assertTrue(injector.getInstance(Destephenerializer.class) instanceof SimpleDestephenerializer);
		assertTrue(injector.getInstance(StephenerializableFieldFactory.class) instanceof SimpleStephenerializableFieldFactory);
	}

}
